Subject: [dhcwg] Question of Clarification: draft-ietf-dhc-dhcpv6-relay-supplied-options-06

From: Leaf yeh <[email-masked]>
Date: Tue, 31 May 2011 13:45:12 +0000

Hi Ted,

Not sure the following comments are too late and will be helpful.

l  Questions of clarification:

1.      Section 6 - DHCP servers normally construct a list of options that are candidates to send to the DHCP client, and then construct the DHCP packet according to section 17.2.2 of DHCPv6 [RFC3315].

Not sure about that the reply message sent by the Server is Advertise (2) per 17.2.2 of RFC3315.
I guess the wording might be '...construct the DHCP packet according to section 20.3 of DHCPv6 [RFC3315]. '
The message sent by the server should also include the relay-reply (13) of Reply (7).

l  Suggestion on the wording revisions for the convenient reference:

1.      Section 5 - Relay agents MAY include a Relay-Supplied Options option in the option payload of a Relay-Forward message.

Suggested wording: Relay agents MAY include a Relay-Supplied Options option in a Relay-Forward message.

2.      Section 5 - Relay agents implementing this specification SHOULD have a configuration parameter that determines whether or not they will relay a Relay-Forward message toward the DHCP server if it contains a Relay-Supplied Options option.

Relay agents that have this configuration parameter and that are configured to enable this behavior MUST silently discard any Relay-Forward packet that contains a Relay-Supplied Options option.

Suggested wording:  Relay agents implementing this specification SHOULD have a configuration parameter that determines whether or not they will relay a Relay-Forward message toward the DHCP server if it contains a Relay-Supplied Options option. When this parameter is configured to be 'enabled', the relay MUST silently discard any Relay-Forward packet that contains a Relay-Supplied Options option.

3.      Section 6 -  When such a conflict exists, the DHCP server MUST choose no more than one of these options to forward to the client. The DHCP server MUST NOT forward more than one of these options to the client.

Suggested wording: When a conflict exists, the DHCP server MUST NOT forward more than one of these options to forward to the client.

4.      Section 7- This document provides a mechanism whereby a relay agent can inject options into the response the DHCP server sends to the DHCP client.

Suggested wording: This document provides a mechanism whereby a relay agent can supply options to the DHCP client through the DHCP Server.

5.      Section 7 - In some environments, there is an interface on one side of which is the client, and zero or more routers, and on the other side of which is a network managed by a monolithic or effectively monolithic administrative entity.  Nodes and routers on the client side of the interface are not controlled by this entity, and are considered "untrusted."  Nodes and routers on the other side of this interface are considered trusted.

Suggested wording:  In some environments, the relay agent acting as a ‘trusted’ device, which is managed by the administrative entity, connects to some ‘untrusted’ client networks, which are not controlled by this entity.

Best Regards,

Leaf